Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc
Class JDBCResultSetReader.AbstractResultSetReader

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc.JDBCResultSetReader.AbstractResultSetReader

All Implemented Interfaces:
  JDBCResultSetReader

Direct Known Subclasses:
  JDBCResultSetReader.AbstractPrimitiveReader

Enclosing class:
  JDBCResultSetReader

public abstract static class JDBCResultSetReader.AbstractResultSetReader
extends Object
implements JDBCResultSetReader

Nested Class Summary

Nested classes inherited from class org.jboss.ejb.plugins.cmp.jdbc.JDBCResultSetReader
`JDBCResultSetReader.AbstractPrimitiveReader, JDBCResultSetReader.AbstractResultSetReader`

Field Summary

Fields inherited from interface org.jboss.ejb.plugins.cmp.jdbc.JDBCResultSetReader
`ARRAY_READER, BIGDECIMAL_READER, BINARY_READER, BLOB_READER, BOOLEAN_READER, BYTE_ARRAY_READER, BYTE_READER, CHARACTER_READER, CLOB_READER, DOUBLE_READER, FLOAT_READER, INT_READER, JAVA_OBJECT_READER, JAVA_SQL_DATE_READER, JAVA_SQL_TIME_READER, JAVA_SQL_TIMESTAMP_READER, JAVA_UTIL_DATE_READER, LONG_READER, LONGVARBINARY_READER, LONGVARCHAR_READER, OBJECT_READER, OTHER_READER, REF_READER, SHORT_READER, STRING_READER, STRUCT_READER, VARBINARY_READER`

Constructor Summary
`JDBCResultSetReader.AbstractResultSetReader()`

Method Summary
`protected Object` | `coerceToJavaType(Object value, Class destination)`
`Object` | `get(ResultSet rs, int index, Class destination, org.jboss.logging.Logger log)` Reads one column from the java.sql.ResultSet.
`protected abstract Object` | `readResult(ResultSet rs, int index, Class destination)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCResultSetReader.AbstractResultSetReader

    public JDBCResultSetReader.AbstractResultSetReader()

Method Detail

### get

    public Object get(ResultSet rs,
                      int index,
                      Class destination,
                      org.jboss.logging.Logger log)
               throws SQLException

  Description copied from interface: `JDBCResultSetReader`
  Reads one column from the java.sql.ResultSet.

  Specified by:
    `get` in interface `JDBCResultSetReader`
  Parameters:
    `rs` - the java.sql.ResultSet to read from
    `index` - the index of the column
    `destination` - the expected Java class of result
    `log` - the logger
  Returns:
    column value
  Throws:
    `SQLException`

### readResult

    protected abstract Object readResult(ResultSet rs,
                                         int index,
                                         Class destination)
                                  throws SQLException

  Throws:
    `SQLException`

### coerceToJavaType

    protected Object coerceToJavaType(Object value,
                                      Class destination)
                               throws SQLException

  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.